Package ru.bitel.bgbilling.modules.npay.server.bean.quantity

# Class InetModuleQuantity

java.lang.Object
ru.bitel.bgbilling.modules.npay.server.bean.quantity.ModuleQuantity
ru.bitel.bgbilling.modules.npay.server.bean.quantity.InetModuleQuantity

    public class InetModuleQuantity
    extends ModuleQuantity

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.bgbilling.modules.npay.server.bean.quantity.ModuleQuantity

  `ModuleQuantity.ModuleQuantityResult`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `InetModuleQuantity()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.util.List<ModuleQuantity.ModuleQuantityResult>` | `getPeriodQuantity​(java.sql.Connection con, int contractId, java.util.Calendar from, java.util.Calendar to)` |
  `protected java.util.List<ModuleQuantity.ModuleQuantityResult>` | `getPeriodsFromTable​(java.sql.Connection con, java.lang.String tableName, int contractIdid, java.util.Calendar from, java.util.Calendar to, java.lang.String filter)` |

  ### Methods inherited from class ru.bitel.bgbilling.modules.npay.server.bean.quantity.ModuleQuantity

  `getModuleId, getModuleQuantityResult, getPeriodsFromTable, getQuery, getQueryJoin, getQuerySelect, getSids, setModuleId, setSids`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InetModuleQuantity

    public InetModuleQuantity()

- ## Method Details

  - ### getPeriodQuantity

    public java.util.List<ModuleQuantity.ModuleQuantityResult> getPeriodQuantity​(java.sql.Connection con, int contractId, java.util.Calendar from, java.util.Calendar to)
    Specified by:
      `getPeriodQuantity` in class `ModuleQuantity`

  - ### getPeriodsFromTable

    protected java.util.List<ModuleQuantity.ModuleQuantityResult> getPeriodsFromTable​(java.sql.Connection con, java.lang.String tableName, int contractIdid, java.util.Calendar from, java.util.Calendar to, java.lang.String filter)
    Overrides:
      `getPeriodsFromTable` in class `ModuleQuantity`